Subject: Re: bug#34870: 26.1; --with-xwidgets not supported if Emacs build with Motif

From: Stefan Kangas <[email-masked]>
Date: Wed, 23 Sep 2020 20:54:00 +0000

Stefan Kangas <[email-masked]> writes:

> tags 34870 + moreinfo
> thanks
>
> Vladimir Nikishkin <[email-masked]> writes:
>
>> I would like to use xwidget-webkit-browse-url like described in the
>> Emacs manual node 31.12.2, but Emacs compiled with Motif cannot use
>> them.  Is it possible to do something about it?
>
> AFAIK, the code relies on WebKitGTK, and there is no Motif equivalent.
>
>> I believe, a Motif-based webkit(or mozilla gecko?) module doesn't
>>  exist, although if it existed, perhaps it would make more sense
>>  to use it rather than a gtk widget. (If a motif-based widget
>>  exists, I wonder if a patch implementing it would be
>>  accepted if contributed?)
>
> I have searched the web and I can't find any.  Do you know of any?
> Otherwise, it doesn't look like there's much to do here.

More information was requested, but none was given within 4 weeks, so
I'm closing this bug now.  It also seems unlikely that we will be able
to make any progress here.